Debian Bug report logs - #206636
dialog: --menu or --radiolist eats too far into cmd line

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Sanjoy Mahajan <sanjoy@mrao.cam.ac.uk>

Date: Thu, 21 Aug 2003 22:18:02 UTC

Severity: normal

Tags: upstream

Found in version 0.9b-20030720-1

Fixed in version dialog/0.9b-20030830-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to "Thomas E. Dickey" <dickey@invisible-island.net>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sanjoy Mahajan <sanjoy@mrao.cam.ac.uk>, Santiago Vila <sanvila@debian.org>:
Bug#206636; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Sanjoy Mahajan <sanjoy@mrao.cam.ac.uk>:
New Bug report received and forwarded. Copy sent to Sanjoy Mahajan <sanjoy@mrao.cam.ac.uk>, Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sanjoy Mahajan <sanjoy@mrao.cam.ac.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: --menu or --radiolist eats too far into cmd line
Date: Thu, 21 Aug 2003 18:09:39 -0400
Package: dialog
Version: 0.9b-20030720-1
Severity: normal

Am trying the new dialog (from testing):

The --menu option doesn't stop parsing when it gets to the next box in
the chain (hard to imagine why someone would want a chain that includes
a menu as the first step, but maybe they need to do a second step no
matter the menu choice, which can be retrieved and dealt with after).
For example:

% dialog --menu hello 24 70 3 edit "Edit file" --msgbox "Bye" 4 70

You'll see a dialog box with --msgbox as one of the menu options, etc.

But --and-widget stops the consumption, and this works mostly fine:

% dialog --menu hello 24 70 3 edit "Edit file" --and-widget --msgbox "Bye" 14 70
(mostly, because the msgbox is displayed on top of the menubox).

Similarly try

% dialog --radiolist hello 24 70 3 edit "Edit file" off --msgbox "Bye" 4 70

versus 

% dialog --radiolist hello 24 70 3 edit "Edit file" off --and-widget --msgbox "Bye" 4 70

-Sanjoy

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux sanjoy 2.4.20-200308091 #1 Sat Aug 9 19:28:54 EDT 2003 i586
Locale: LANG=C, LC_CTYPE=C

Versions of packages dialog depends on:
ii  debianutils              1.16            Miscellaneous utilities specific t
ii  libc6                    2.3.1-16        GNU C Library: Shared libraries an
ii  libncurses5              5.2.20020112a-7 Shared libraries for terminal hand



Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 206636-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: "Thomas E. Dickey" <dickey@invisible-island.net>
Cc: 206636-forwarded@bugs.debian.org, Sanjoy Mahajan <sanjoy@mrao.cam.ac.uk>
Subject: Bug#206636: dialog: --menu or --radiolist eats too far into cmd line (fwd)
Date: Thu, 28 Aug 2003 18:05:47 +0200 (CEST)
Hello.

This one seems to reproduce with 0.9b-20030820 as well:

---------- Forwarded message ----------
From: Sanjoy Mahajan <sanjoy@mrao.cam.ac.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Thu, 21 Aug 2003 18:09:39 -0400
Subject: Bug#206636: dialog: --menu or --radiolist eats too far into cmd line

Package: dialog
Version: 0.9b-20030720-1
Severity: normal

Am trying the new dialog (from testing):

The --menu option doesn't stop parsing when it gets to the next box in
the chain (hard to imagine why someone would want a chain that includes
a menu as the first step, but maybe they need to do a second step no
matter the menu choice, which can be retrieved and dealt with after).
For example:

% dialog --menu hello 24 70 3 edit "Edit file" --msgbox "Bye" 4 70

You'll see a dialog box with --msgbox as one of the menu options, etc.

But --and-widget stops the consumption, and this works mostly fine:

% dialog --menu hello 24 70 3 edit "Edit file" --and-widget --msgbox "Bye" 14 70
(mostly, because the msgbox is displayed on top of the menubox).

Similarly try

% dialog --radiolist hello 24 70 3 edit "Edit file" off --msgbox "Bye" 4 70

versus

% dialog --radiolist hello 24 70 3 edit "Edit file" off --and-widget --msgbox "Bye" 4 70

-Sanjoy

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux sanjoy 2.4.20-200308091 #1 Sat Aug 9 19:28:54 EDT 2003 i586
Locale: LANG=C, LC_CTYPE=C

Versions of packages dialog depends on:
ii  debianutils              1.16            Miscellaneous utilities specific t
ii  libc6                    2.3.1-16        GNU C Library: Shared libraries an
ii  libncurses5              5.2.20020112a-7 Shared libraries for terminal hand



Message #9 received at 206636-forwarded@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Santiago Vila <sanvila@unex.es>
Cc: "Thomas E. Dickey" <dickey@invisible-island.net>, 206636-forwarded@bugs.debian.org, Sanjoy Mahajan <sanjoy@mrao.cam.ac.uk>
Subject: Re: Bug#206636: dialog: --menu or --radiolist eats too far into cmd line (fwd)
Date: Thu, 28 Aug 2003 12:46:02 -0400 (EDT)
On Thu, 28 Aug 2003, Santiago Vila wrote:

> Hello.
>
> This one seems to reproduce with 0.9b-20030820 as well:

yes - he said "current".  I made a fix for that, and am working on some
other things that I carried over from the last to-do list.  I'll probably
have a new version on Saturday morning.

-- 
T.E.Dickey <dickey@his.com>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#206636; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #14 received at 206636@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@his.com>
Cc: 206636@bugs.debian.org, Sanjoy Mahajan <sanjoy@mrao.cam.ac.uk>
Subject: Re: Bug#206636: dialog: --menu or --radiolist eats too far into cmd line (fwd)
Date: Thu, 28 Aug 2003 19:16:46 +0200 (CEST)
> > This one seems to reproduce with 0.9b-20030820 as well:
>
> yes - he said "current".

Actually, he said "version 0.9b-20030720-1 [...] (from testing)",
which is still a little bit older than 20030820-1 in unstable.

There is no "current" here, perhaps you were thinking about some BSD? :-)

> I made a fix for that, and am working on some other things that I
> carried over from the last to-do list.  I'll probably have a new
> version on Saturday morning.

Fine!



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#206636; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #19 received at 206636@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Santiago Vila <sanvila@unex.es>, 206636@bugs.debian.org
Cc: Sanjoy Mahajan <sanjoy@mrao.cam.ac.uk>
Subject: Re: Bug#206636: dialog: --menu or --radiolist eats too far into cmd line (fwd)
Date: Thu, 28 Aug 2003 16:18:35 -0400 (EDT)
On Thu, 28 Aug 2003, Santiago Vila wrote:

> > > This one seems to reproduce with 0.9b-20030820 as well:
> >
> > yes - he said "current".
>
> Actually, he said "version 0.9b-20030720-1 [...] (from testing)",
> which is still a little bit older than 20030820-1 in unstable.
>
> There is no "current" here, perhaps you were thinking about some BSD? :-)

well, "current source" or "current version" was what I recalled him
saying.

>
> > I made a fix for that, and am working on some other things that I
> > carried over from the last to-do list.  I'll probably have a new
> > version on Saturday morning.
>
> Fine!

no problem

-- 
T.E.Dickey <dickey@his.com>
http://invisible-island.net
ftp://invisible-island.net



Tags added: upstream Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sanjoy Mahajan <sanjoy@mrao.cam.ac.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 206636-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 206636-close@bugs.debian.org
Subject: Bug#206636: fixed in dialog 0.9b-20030830-1
Date: Sun, 31 Aug 2003 08:02:25 -0400
Source: dialog
Source-Version: 0.9b-20030830-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_0.9b-20030830-1.diff.gz
  to pool/main/d/dialog/dialog_0.9b-20030830-1.diff.gz
dialog_0.9b-20030830-1.dsc
  to pool/main/d/dialog/dialog_0.9b-20030830-1.dsc
dialog_0.9b-20030830-1_i386.deb
  to pool/main/d/dialog/dialog_0.9b-20030830-1_i386.deb
dialog_0.9b-20030830.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9b-20030830.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 206636@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 31 Aug 2003 13:32:38 +0200
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9b-20030830-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 206636
Changes: 
 dialog (0.9b-20030830-1) unstable; urgency=low
 .
   * New upstream release, modifies howmany_tags() so that it quits searching
     when it finds any option, not only "--and-widget" (Closes: #206636).
   * Lots of other fixes. See the upstream changelog for details.
Files: 
 e5125f887850a1fb3a1a5a95734fb8f3 596 misc optional dialog_0.9b-20030830-1.dsc
 07d907f8fee3374f677c55590965cd82 234280 misc optional dialog_0.9b-20030830.orig.tar.gz
 6f3db96529aaa56dd96d1d438aa2e67c 6471 misc optional dialog_0.9b-20030830-1.diff.gz
 e6bcc708cab2abfac510979c0a027c19 142302 misc optional dialog_0.9b-20030830-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE/Ud8Rd9Uuvj7yPNYRAgiSAKDEdiek5AFbmhRa6VAOzoFS6o3VvACgmYGM
Pat1p3bDqRu8H4sW4vKSP/g=
=dRxj
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:36:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.